Bug 212863 - security/vault: update 5.3 to 6.2
Summary: security/vault: update 5.3 to 6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-20 18:31 UTC by Dave Cottlehuber
Modified: 2016-11-07 19:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
v1 patch (6.90 KB, text/plain)
2016-09-20 18:31 UTC, Dave Cottlehuber
no flags Details
v2 patch for 0.6.2 (6.90 KB, patch)
2016-11-06 11:42 UTC, Dave Cottlehuber
dch: maintainer-approval? (swills)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2016-09-20 18:31:33 UTC
Created attachment 175012 [details]
v1 patch

# update & fixes

- use upstream mlock (verified to work)
- add vault tag in process name to daemon(8)
- update version tag from portstree Makefile

In the end I left the daemon restart & pid management flags alone, until I can replicate the issue I had in production -- changing it seem to make matters worse and the vault is anyway sealed until admins re-open it.

# qa

- poudriere OK (11.0-RC3 amd64, 10.3R amd64 & i386, 9.3R amd64 & i386)
- portlint OK
- confirmed mlock works when using daemon & dropped privileges:

```
# limits -C daemon su -m vault -c 'sh -c "/usr/local/bin/vault server -config=/usr/local/etc/vault.hcl | tee -a /var/log/vault/console.log"'
==> Vault server configuration:

                 Backend: s3
              Listener 1: tcp (addr: "0.0.0.0:8200", cluster address: "", tls: "enabled")
               Log Level: info
                   Mlock: supported: true, enabled: true
                 Version: Vault v0.6.1

==> Vault server started! Log data will stream in below:
```

incidentally if there is a logrotation friendly way to grab console data instead of tee(1) please let me know, the actual steps above did work, just no response from SIGHUP et al.
Comment 1 Dave Cottlehuber freebsd_committer 2016-11-06 11:42:37 UTC
Created attachment 176682 [details]
v2 patch for 0.6.2
Comment 2 Dave Cottlehuber freebsd_committer 2016-11-06 12:13:54 UTC
# qa updates for v2 patch

- poudriere OK (11.0R amd64, 10.3R amd64 & i386, 9.3R amd64 & i386)
Comment 3 commit-hook freebsd_committer 2016-11-07 19:42:39 UTC
A commit references this bug:

Author: swills
Date: Mon Nov  7 19:42:00 UTC 2016
New revision: 425642
URL: https://svnweb.freebsd.org/changeset/ports/425642

Log:
  security/vault: update to 6.2

  PR:		212863
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at> (with modifications)

Changes:
  head/security/vault/Makefile
  head/security/vault/distinfo
  head/security/vault/files/patch-helper_mlock_mlock__linux.go
  head/security/vault/files/patch-helper_mlock_mlock__solaris.go
  head/security/vault/files/patch-helper_mlock_mlock__unavail.go
  head/security/vault/files/patch-helper_mlock_mlock__unix.go
  head/security/vault/files/patch-version_version.go
  head/security/vault/files/vault.in
Comment 4 Steve Wills freebsd_committer 2016-11-07 19:52:46 UTC
Committed, thanks!